summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-mobilephone/obexftp')
-rw-r--r--app-mobilephone/obexftp/Manifest1
-rw-r--r--app-mobilephone/obexftp/files/obexftp-0.24.2-parallel-build.patch53
-rw-r--r--app-mobilephone/obexftp/obexftp-0.24.2.ebuild69
3 files changed, 123 insertions, 0 deletions
diff --git a/app-mobilephone/obexftp/Manifest b/app-mobilephone/obexftp/Manifest
index 210ebe9869a..393c440c6ca 100644
--- a/app-mobilephone/obexftp/Manifest
+++ b/app-mobilephone/obexftp/Manifest
@@ -1 +1,2 @@
DIST obexftp-0.24-Source.tar.gz 88154 BLAKE2B 6124a59e8e8af555256fb910b1efd3ae630e97e71559fa3d5e488e911251d98f3f4ba543cb88723f0bc561b4753afc9b613410da51d7d8695182cdfb9cbaf7ab SHA512 785449665f5e9269d7bfd15f379bd8fbad321780292e56341e2089d6894255b7301fc23bb27a80e4e6f6317a130b658dedd307b7ece0fd31ef8f1a109c6f21b9
+DIST obexftp-0.24.2-Source.tar.gz 110291 BLAKE2B 7de93f5f5a367481b22b49c7812357ab5f704830c83770378de13f9c4ffb5f114d48beafca193b52670563b397656ec185519a8d004eb1f9785787e8cc5caaff SHA512 91a5d7e52c00bbaf24837384ceadc987a89297e672b246df1370bbd669fae05459281bc46bb60ba562607bfbead321926cdf11422059cd918819d80321e190c2
diff --git a/app-mobilephone/obexftp/files/obexftp-0.24.2-parallel-build.patch b/app-mobilephone/obexftp/files/obexftp-0.24.2-parallel-build.patch
new file mode 100644
index 00000000000..78a8a742632
--- /dev/null
+++ b/app-mobilephone/obexftp/files/obexftp-0.24.2-parallel-build.patch
@@ -0,0 +1,53 @@
+diff --git a/apps/CMakeLists.txt b/apps/CMakeLists.txt
+index b5c84e4..63af134 100644
+--- a/apps/CMakeLists.txt
++++ b/apps/CMakeLists.txt
+@@ -5,14 +5,23 @@ add_definitions( -DVERSION="${obexftp_VERSION}" )
+ add_definitions ( -DHAVE_USB )
+
+ add_executable ( obexftp_app obexftp.c )
+-target_link_libraries ( obexftp_app obexftp )
++target_link_libraries ( obexftp_app
++ PRIVATE multicobex
++ PRIVATE bfb
++ obexftp
++)
+ set_target_properties ( obexftp_app PROPERTIES
+ OUTPUT_NAME obexftp
+ )
+
+
+ add_executable ( obexftpd_app obexftpd.c )
+-target_link_libraries ( obexftpd_app obexftp openobex )
++target_link_libraries ( obexftpd_app
++ PRIVATE multicobex
++ PRIVATE bfb
++ obexftp
++ openobex
++)
+ set_target_properties ( obexftpd_app PROPERTIES
+ OUTPUT_NAME obexftpd
+ )
+diff --git a/fuse/CMakeLists.txt b/fuse/CMakeLists.txt
+index 0c80d3d..ff5e3cd 100644
+--- a/fuse/CMakeLists.txt
++++ b/fuse/CMakeLists.txt
+@@ -13,6 +13,8 @@ if ( Fuse_FOUND )
+ )
+
+ target_link_libraries ( obexfs
++ PRIVATE multicobex
++ PRIVATE bfb
+ obexftp
+ ${Fuse_LIBRARIES}
+ ${EXPAT_LIBRARIES}
+@@ -23,6 +25,8 @@ if ( Fuse_FOUND )
+ )
+
+ target_link_libraries ( obexautofs
++ PRIVATE multicobex
++ PRIVATE bfb
+ obexftp
+ ${Fuse_LIBRARIES}
+ )
+
diff --git a/app-mobilephone/obexftp/obexftp-0.24.2.ebuild b/app-mobilephone/obexftp/obexftp-0.24.2.ebuild
new file mode 100644
index 00000000000..3527d255209
--- /dev/null
+++ b/app-mobilephone/obexftp/obexftp-0.24.2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+USE_RUBY="ruby23 ruby24 ruby25"
+
+inherit cmake-utils python-single-r1 ruby-single
+
+DESCRIPTION="File transfer over OBEX for mobile phones"
+HOMEPAGE="http://dev.zuckschwerdt.org/openobex/wiki/ObexFtp"
+SRC_URI="mirror://sourceforge/openobex/${P}-Source.tar.gz"
+SLOT="0"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~hppa ~ppc ~x86"
+
+# bluetooth support is not really optional, bug #529068
+IUSE="perl python ruby tcl"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ >=dev-libs/openobex-1.7
+ net-wireless/bluez
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( ${RUBY_DEPS} )
+ tcl? ( dev-lang/tcl:0= )
+"
+DEPEND="${RDEPEND}
+ perl? ( dev-lang/swig )
+ python? ( dev-lang/swig )
+ ruby? ( dev-lang/swig )
+ tcl? ( dev-lang/swig )
+ virtual/pkgconfig
+"
+
+S=${WORKDIR}/${P}-Source
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.23-gentoo.patch
+ "${FILESDIR}"/${PN}-0.24-config.patch
+ "${FILESDIR}"/${PN}-0.24-enable_bluetooth.patch
+ "${FILESDIR}"/${PN}-0.24-python_sitedir.patch
+ "${FILESDIR}"/${PN}-0.24-norpath.patch
+ "${FILESDIR}"/${P}-parallel-build.patch
+)
+
+src_configure() {
+# -DENABLE_BLUETOOTH=$(usex bluetooth)
+ local mycmakeargs=(
+ -DCMAKE_BUILD_TYPE=Release
+ -DCMAKE_SKIP_RPATH=ON
+ -DENABLE_PERL=$(usex perl)
+ -DENABLE_BLUETOOTH=yes
+ -DENABLE_PYTHON=$(usex python)
+ $(usex python -DPYTHON_SITE_DIR=$(python_get_sitedir) '')
+ -DENABLE_RUBY=$(usex ruby)
+ -DENABLE_TCL=$(usex tcl)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ rm -rf "${ED}"/usr/share/doc/${PN}/html || die #524866
+}